GDB (xrefs)

Functions
mi-cmd-break.h File Reference
`#include "common/scoped_restore.h"`

Go to the source code of this file.

## Functions
scoped_restore_tmpl< int > | setup_breakpoint_reporting (void)

## Function Documentation

## ◆ setup_breakpoint_reporting()

scoped_restore_tmpl<int> setup_breakpoint_reporting | ( | void |  | ) |

Definition at line 83 of file mi-cmd-break.c.

References breakpoint_notify(), make_scoped_restore(), mi_breakpoint_observers_installed, mi_can_breakpoint_notify, and observer_attach_breakpoint_created().

Referenced by mi_catch_load_unload(), mi_cmd_break_insert_1(), mi_cmd_catch_assert(), and mi_cmd_catch_exception().